Skip to content
Last updated

Discover the available data streams for a configured source.

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/streams?source_id={source_id}

Returns the list of streams and their properties (sync modes, cursor fields, primary keys) for a given source.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

Query Parameters

source_id string required

The source ID to discover streams for.


Returns

A list of stream property objects, each containing stream_name, sync_modes, default_cursor_field, source_defined_primary_key, and property_fields.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/streams?source_id=src_abc123" \
  -H "Authorization: Bearer $ACCESS_TOKEN"